is 4.91 SP2 the latest Novell client?

In the Novell Client post-4.91 SP4 Login Files 8 it says;

System Requirements:
This patch is designed to update the Novell Client v4.91 SP4 for Windows 2000/XP/2003. Be sure to install only on this version of the client.

Novell Downloads says 4.91 SP2 is the latest, yet, that FTF above is all over the shop;

patches this patch supersedes
491psp4_login_7.zip Novell Client 4.91 SP4 for Windows XP/2003

abstract
491psp4_login_8.zip is a patch file for the Novell Client v4.91 SP4 for Windows 2000/XP/2003. It includes fixes for problems relating to login and 802.1x support found after the 4.91 SP4 client update was released.